/*
	_Out_   double *value:
	The buffer to hold the return message
*/
int GetAverageCpuUsage(
	double *value
	);


/*
	_In_   index:
	CPU core index , start from 1

	_Out_   double *value:
	CPU usage in percent
*/
int GetCpuUsage(
	int index,
	double *value
	);

/*
	_Out_   int *value:
	CPU logic count
*/
int GetCpuCount(int *value);

/*
	_Out_  double *value:
	Memory Usage
*/
int GetMemUsage(double *value);

/*
	_Out_  double *value:
	Total Memory Size
*/
int GetMemTotalSize(double *value);

/*
	_Out_  double *value:
	Available Memory Size
*/
int GetMemAvailSize(double *value);

/*
	_Out_  double *value:
	Available UART Count
*/
int GetUartCount(int *value);

/*
	_In_   index :
	COM port index, Index start from 1 :

	_Out_   double *value :
	Current Status

	0 : avilable
	1 : in use
*/
int GetUartStatus(int index, int *value);

/*
	_Out_   double *value:
	Number of network adapters
*/
int GetEthCount(int *value);

/*
	_In_   index:
	Ethernet index, Index start from 1:

	_Out_   double *value:
	Current speed,
	Value:
	10,100,1000
*/
int GetEthSpeed(int index, int *value);

/*
	_In_   index:
	Ethernet index, Index start from 1:

	_Out_   double *value:
	Current link status
	Value:
	0: disconnected
	1: Connected
*/
int GetEthLink(int index, int *value);

/*
	_In_   index:
	Ethernet index, Index start from 1:

	_Out_   double *value:
	Current ethernet utilization

	Value:
	percentage
*/
int GetEthUsage(int index, double *value);

/*
	_In_   index:
	Partition index

	_Out_   double *value:
	Partition usage in percent
*/
int GetDiskUsage(int index, double *value);

/*
	_In_   index:
	Partition index

	_Out_   double *value:
	Total Partition Size in MB
*/
int GetDiskTotalSize(int index, double *value);

/*
	_In_   index :
	Partition index

	_Out_   double *value :
	Available Partition Size in MB
*/
int GetDiskAvailSize(int index, double *value);

/*
	_Out_   double *value :
	Device name stored in BIOS
*/
int GetDevName(unsigned char *value);

/*
	_Out_   double *value :
	BIOS Version
*/
int GetBiosVer(unsigned char *value);

/*
	_Out_   double *value :
	Get Device Serial Number
*/
int GetSerNum(unsigned char *value);

/*
	_In_   index :
	Power module index, index : 1, 2

	_Out_   double *value :
	Current power status
	value :
	0 : disconnected
	1 : connected
*/
int GetPwrStatus(int index, int *value);

/*
	_In_   index:
	Power module index, index: 1,2

	_Out_   double *value:
	Relay output value
	value:
	0: disable
	1: enable
*/
int SetRelay(int index, int *value);

/*
	_In_   index:
	Voltage item index
	Index:
	1: vcore
	2: vddr
	3: v5v

	_Out_   double *value:
	Voltage value in milli-volt
*/
int GetMilliVolt(int index, double *value);

/*
	_In_   index:
	Temperature index
	Index:
	1: CPU
	2: System

	_Out_   double *value:
	Temperature value
*/
int GetTemperature(int index, double *value);









